
QGIS Application - Bug report #15974

Rows of the attribute table seem to be duplicated when saving edits in a shapefile

2016-12-12 05:31 AM - Jérôme Guélat

Status: Closed

Priority: High

Assignee: Alessandro Pasotti

Category: Vectors

Affected QGIS version:2.18.4 Regression?: Yes

Operating System: Easy fix?: No

Pull Request or Patch supplied:Yes Resolution: fixed/implemented

Crashes QGIS or corrupts data:No Copied to github as #: 23890

Description

Here's how to reproduce the bug:

1. Create a new shapefile with a single column named id (as integer)

2. Digitize a few features

3. Open the attribute table and add values in the id column for each feature

4. Stop editing (and save the edits)

The rows will be duplicated in the attribute table. Everything is ok if one closes and reopens the attribute table. This happens with QGIS

2.14.9 and 2.18.1.

Related issues:

Related to QGIS Application - Bug report # 15976: Attribute table: rows are s... Closed 2016-12-12

History

#1 - 2016-12-20 11:15 AM - Andrew McAninch

I can confirm the same behaviour with a .dbf table in 2.18.2.

#2 - 2017-01-04 11:19 PM - Giovanni Manghi

- Category set to Vectors

- Priority changed from Normal to Severe/Regression

- Target version set to Version 2.14

- Affected QGIS version changed from 2.18.0 to 2.14.9

#3 - 2017-02-27 03:35 PM - Giovanni Manghi

- Target version changed from Version 2.14 to Version 2.18

- Affected QGIS version changed from 2.14.9 to 2.18.4

2.18.4 also affected.

#4 - 2017-04-21 07:29 AM - Giovanni Manghi

- File out.ogv added

Adding a screencast.
#5 - 2017-04-30 05:08 PM - Giovanni Manghi

- Regression? set to Yes

#6 - 2017-04-30 05:08 PM - Giovanni Manghi

- Priority changed from Severe/Regression to High

#7 - 2017-05-01 01:10 AM - Giovanni Manghi

- Easy fix? set to No

#8 - 2017-05-03 04:25 PM - Alessandro Pasotti

- Description updated

- Assignee set to Alessandro Pasotti

#9 - 2017-05-10 09:20 AM - Alessandro Pasotti

- Resolution set to fixed/implemented

- Status changed from Open to In Progress

- Pull Request or Patch supplied changed from No to Yes

Fixed in master with commit:212acc120c8c2cb901347a77a044e045e30ae7ac

Now working on 2.18 ...

#10 - 2017-05-10 09:30 AM - Alessandro Pasotti

I cannot reproduce on 2.18.7 (latest release-2_18 branch)

#11 - 2017-05-10 10:51 AM - Giovanni Manghi

- File out.ogv added

Screencast attached.

#12 - 2017-05-10 12:01 PM - Alessandro Pasotti

Thanks to Giovanni, we noticed that apparently this bug needs GDAL 2+ to show up on 2.18.x

#13 - 2017-05-10 06:05 PM - Alessandro Pasotti

- Status changed from In Progress to Closed

Fixed in 2.18 too: commit:09ef9477db5b68c74ab0c8527533f9b594578399

#14 - 2017-05-11 11:11 AM - Ger CO

Alessandro Pasotti wrote:

Fixed in 2.18 too: commit:09ef9477db5b68c74ab0c8527533f9b594578399
Thanks a lot for the fix. Highly appreciated. 

In Master using the very recent build I still can see the feature count on the top of the attribute table to display a wrong number after edits are saved. 

The rows don´t duplicate anymore though. Is this minor issue potentially related to the issue fixed?

#15 - 2017-05-12 03:10 PM - Luigi Pirelli

Is it a different issue? it has been reported? if no, can you file it?

Ger CO wrote:

In Master using the very recent build I still can see the feature count on the top of the attribute table to display a wrong number after edits are saved.

The rows don´t duplicate anymore though. Is this minor issue potentially related to the issue fixed?

#16 - 2017-05-12 03:11 PM - Luigi Pirelli

Ger CO wrote:

The rows don´t duplicate anymore though. Is this minor issue potentially related to the issue fixed?

tnx for the test :)

#17 - 2017-05-19 09:07 AM - Jürgen Fischer

- Related to Bug report #15976: Attribute table: rows are switching when adding attributes added

Files

out.ogv 2.58 MB 2017-04-21 Giovanni Manghi

out.ogv 3.95 MB 2017-05-10 Giovanni Manghi
